ros-jazzy-ament-cmake-python (2.5.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.4.0-4bookworm) bookworm; urgency=high

  * Add in a comment explaining where Python3::Interpreter comes from. (#510 <https://github.com/ament/ament_cmake/issues/510>)
  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.3.2-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.3.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.3.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.2.2-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.2.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 Jun 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.2.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.1.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 25 Apr 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.0.2-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.0.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (2.0.0-4bookworm) bookworm; urgency=high

  * Support Debian-specific install dir for ament_cmake_python (#431 <https://github.com/ament/ament_cmake/issues/431>)
  * Contributors: Timo Röhling

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.5.3-4bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.5.2-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.5.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.5.0-4bookworm) bookworm; urgency=high

  * Document ament_cmake_python (#387 <https://github.com/ament/ament_cmake/issues/387>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 10 Jul 2022 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.4.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.3.1-4bookworm) bookworm; urgency=high

  * Use sysconfig directly to determine python lib dir (#378 <https://github.com/ament/ament_cmake/issues/378>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 27 Mar 2022 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.3.0-4bookworm) bookworm; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 16 Feb 2022 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.2.1-4bookworm) bookworm; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.2.0-4bookworm) bookworm; urgency=high

  * Make ament_cmake_python symlink for symlink installs only (#357 <https://github.com/ament/ament_cmake/issues/357>)
  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Make ament_python_install_package() match setuptools' egg names. (#338 <https://github.com/ament/ament_cmake/issues/338>)
  * Drop ament_cmake_python outdated tests. (#340 <https://github.com/ament/ament_cmake/issues/340>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Make ament_python_install_package() install console_scripts (#328 <https://github.com/ament/ament_cmake/issues/328>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Shane Loretz

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Oct 2021 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.1.4-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 05 May 2021 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.1.3-4bookworm) bookworm; urgency=high

  * Symlink setup.cfg and sources before building Python egg-info (#327 <https://github.com/ament/ament_cmake/issues/327>)
  * Simplify ament_python_install_package() macro. (#326 <https://github.com/ament/ament_cmake/issues/326>)
    Do not delegate to setuptools, install egg-info manually.
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 08 Mar 2021 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.1.2-4bookworm) bookworm; urgency=high

  * Escape $ENV{DESTDIR} everywhere in ament_python_install_package() (#324 <https://github.com/ament/ament_cmake/issues/324>)
    Follow up after f80071e2216e766f7bf1b0792493a5f6523e9226
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Feb 2021 14:59:00 -0000

ros-jazzy-ament-cmake-python (1.1.1-4bookworm) bookworm; urgency=high

  * Use DESTDIR on ament_python_install_package() (#323 <https://github.com/ament/ament_cmake/issues/323>)
    * Use DESTDIR on ament_python_install_package()
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Feb 2021 11:12:00 -0000

ros-jazzy-ament-cmake-python (1.1.0-4bookworm) bookworm; urgency=high

  * Make ament_python_install_package() install a flat Python egg (#316 <https://github.com/ament/ament_cmake/issues/316>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 23 Feb 2021 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.0.4-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.0.3-4bookworm) bookworm; urgency=high

  * [ament_cmake_python] ament_cmake_python_get_python_install_dir public (#300 <https://github.com/ament/ament_cmake/issues/300>)
    * [ament_cmake_python] make the ament_cmake_python_get_python_install_dir a public interface.
  * Contributors: Naveau

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 09 Dec 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.0.2-4bookworm) bookworm; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 06 Dec 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.0.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 09 Sep 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (1.0.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 21 Jul 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.9.6-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 22 Jun 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.9.5-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 01 Jun 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.9.4-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 25 May 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.9.3-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 18 May 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.9.2-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 06 May 2020 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.9.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 24 Apr 2020 07:45:00 -0000

ros-jazzy-ament-cmake-python (0.9.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 24 Apr 2020 04:25:00 -0000

ros-jazzy-ament-cmake-python (0.8.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.8.0-4bookworm) bookworm; urgency=high

  * ensure that PYTHON_INSTALL_DIR is initialized for generated .dsv file (#190 <https://github.com/ament/ament_cmake/issues/190>)
    * ensure that PYTHON_INSTALL_DIR is initialized for generated .dsv file
    * use native path of PYTHON_INSTALL_DIR
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 03 Oct 2019 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.7.3-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 28 May 2019 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.7.2-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 19 May 2019 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.7.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 06 May 2019 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.7.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 07 Apr 2019 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.6.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 12 Nov 2018 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.5.1-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 16 Jul 2018 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.5.0-4bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 12 Jun 2018 16:00:00 -0000

ros-jazzy-ament-cmake-python (0.4.0-4bookworm) bookworm; urgency=high

  * install file and not absolute path (#110 <https://github.com/ament/ament_cmake/issues/110>)
  * 0.0.3
  * Merge pull request #103 <https://github.com/ament/ament_cmake/issues/103> from ament/resolve_some_todos
    Resolve some todos
  * compile installed Python modules and packages by default, add option to skip compilation
  * 0.0.2
  * Merge pull request #84 <https://github.com/ament/ament_cmake/issues/84> from ament/use_in_list
    use IN_LIST
  * use IN_LIST
  * update schema url
  * add schema to manifest files
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * require CMake 3.5
  * Merge pull request #58 <https://github.com/ament/ament_cmake/issues/58> from ament/destination_suffix
    change DESTINATION argument name of ament_python_install_module()
  * change DESTINATION argument name of ament_python_install_module()
  * Merge pull request #57 <https://github.com/ament/ament_cmake/issues/57> from ament/only-install-python
    Added DESTINATION argument
  * Added DESTINATION argument
  * Merge pull request #40 <https://github.com/ament/ament_cmake/issues/40> from ament/consistent_path_sep
    use consistent path separator
  * use platform specific path separators
  * add explicit build type
  * label todo with author
  * disable debug output
  * add missing copyright / license information, update format of existing license information
  * Merge pull request #3 <https://github.com/ament/ament_cmake/issues/3> from ament/windows
    Windows Support
  * addressing review comments
  * [windows] convert in paths to / for CMake
    Otherwise CMake will interpret them as
    escape sequences or as line continuations.
  * exclude .pyc files and __pycache__ folders from installation
  * update cmake code style only
  * fix Python install dir
  * use project(.. NONE)
  * refactor several low-level packages into ament_cmake_core (environment, environment_hooks, index, package_templates, symlink_install)
  * invert dependency between ament_cmake_environment and ament_cmake_environment_hooks, add dependency on ament_cmake_environment
  * refactor to use templates provided by ament_package
  * refactored PYTHON_INSTALL_DIR computation
  * update cmake code style
  * minor fixes
  * add ament_cmake_environment_hooks
  * minor
  * add ament_cmake_python
  * Contributors: Dirk Thomas, Esteve Fernandez, Mikael Arguedas, William Woodall

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 07 Dec 2017 16:00:00 -0000


